### Hierarchy

- unknown
  - PaymentReceivedMessage

## Index

### Constructors

- constructor

### Methods

- clearPaymentSentMessage
- clearSenderNodeAddress
- clearSignedWitness
- getDeferPublishPayout
- getPaymentSentMessage
- getSellerSignature
- getSellerSignature_asB64
- getSellerSignature_asU8
- getSenderNodeAddress
- getSignedPayoutTxHex
- getSignedWitness
- getTradeId
- getUid
- getUnsignedPayoutTxHex
- getUpdatedMultisigHex
- hasPaymentSentMessage
- hasSenderNodeAddress
- hasSignedWitness
- serializeBinary
- setDeferPublishPayout
- setPaymentSentMessage
- setSellerSignature
- setSenderNodeAddress
- setSignedPayoutTxHex
- setSignedWitness
- setTradeId
- setUid
- setUnsignedPayoutTxHex
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentReceivedMessage(): PaymentReceivedMessage

- Inherited from jspb.Message.constructor

  #### Returns PaymentReceivedMessage

## Methods

### clearPaymentSentMessage

- clearPaymentSentMessage(): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1923

  #### Returns PaymentReceivedMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1898

  #### Returns PaymentReceivedMessage

### clearSignedWitness

- clearSignedWitness(): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1906

  #### Returns PaymentReceivedMessage

### getDeferPublishPayout

- getDeferPublishPayout(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1917

  #### Returns boolean

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- - Defined in src/protobuf/pb_pb.d.ts:1920

  #### Returns undefined | PaymentSentMessage

### getSellerSignature

- getSellerSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1925

  #### Returns string | Uint8Array

### getSellerSignature_asB64

- getSellerSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1927

  #### Returns string

### getSellerSignature_asU8

- getSellerSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1926

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1895

  #### Returns undefined | NodeAddress

### getSignedPayoutTxHex

- getSignedPayoutTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1911

  #### Returns string

### getSignedWitness

- getSignedWitness(): undefined | SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:1903

  #### Returns undefined | SignedWitness

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1892

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1900

  #### Returns string

### getUnsignedPayoutTxHex

- getUnsignedPayoutTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1908

  #### Returns string

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1914

  #### Returns string

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1922

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1897

  #### Returns boolean

### hasSignedWitness

- hasSignedWitness(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1905

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1930

  #### Returns Uint8Array

### setDeferPublishPayout

- setDeferPublishPayout(value: boolean): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1918

  #### Parameters

  - ##### value: boolean

  #### Returns PaymentReceivedMessage

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage ): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1921

  #### Parameters

  - ##### Optional value: PaymentSentMessage

  #### Returns PaymentReceivedMessage

### setSellerSignature

- setSellerSignature(value: string | Uint8Array): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1928

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentReceivedMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1896

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns PaymentReceivedMessage

### setSignedPayoutTxHex

- setSignedPayoutTxHex(value: string): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1912

  #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

### setSignedWitness

- setSignedWitness(value?: SignedWitness ): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1904

  #### Parameters

  - ##### Optional value: SignedWitness

  #### Returns PaymentReceivedMessage

### setTradeId

- setTradeId(value: string): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1893

  #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

### setUid

- setUid(value: string): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1901

  #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

### setUnsignedPayoutTxHex

- setUnsignedPayoutTxHex(value: string): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1909

  #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1915

  #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

### toObject

- toObject(includeInstance?: boolean): PaymentReceivedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1931

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentReceivedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1934

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentReceivedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentReceivedMessage, reader: BinaryReader): PaymentReceivedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1935

  #### Parameters

  - ##### message: PaymentReceivedMessage

  - ##### reader: BinaryReader

  #### Returns PaymentReceivedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentReceivedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1933

  #### Parameters

  - ##### message: PaymentReceivedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentReceivedMessage ): PaymentReceivedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1932

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentReceivedMessage

  #### Returns PaymentReceivedMessage . AsObject

Generated using TypeDoc